Subject: Re: bug#8752: cp: fchown called before fchmod, unable to set file mode

From: Milan Novak <[email-masked]>
Date: Wed, 1 Jun 2011 21:33:53 +0200

Hello Bob,

Thanks for clarification, I'm well aware of setprivgrp options.
OK, go ahead and close the ticket.

Thanks for your time!

Kind Regards,
Milan

On Wed, Jun 1, 2011 at 9:17 PM, Bob Proulx <[email-masked]> wrote:

> Paul Eggert wrote:
> > Paul Eggert wrote:
> > > # echo "-n CHOWN" >>/etc/privgrp
> > > # setprivgrp -f /etc/privgroup
> >
> > Whoops, obviously I misspelled one of those two file names.
> > I think the second one is right.  But you should read the
> > manuals and check before trying it (I haven't used HP-UX
> > in years).
>
> The first was the misspelling, the second was the correct name.
>
> Just to be clear, this next command will set it interactively.  You
> can test the behavior without having made any permanent changes.  But
> if you reboot the change will be gone.
>
>  # setprivgrp -n CHOWN
>
> Setting this file /etc/privgroup with the following contents will make
> it persistent at boot time:
>
>  -n CHOWN
>
> See 'man 1m setprivgrp' for the HP-UX documentation.
>
> And since I think this completely resolves the issue I am going to
> close the ticket on it.  Please feel free to add additional comments.
> If needed the ticket can be reopened at any time.
>
> Bob
>